#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CDPARANOIA_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)

add_definitions(
  -DDIRECT_INCLUDE
)


##### yafplayer (library) #######################

tde_add_library( yafxplayer SHARED
  SOURCES
    commandTableXPlayer.cpp
    inputDecoderXPlayer.cpp
    xplayer_control.cpp
    runtimeTableXPlayer.cpp
    inputDecoderYAF.cpp
    yafOutputStream.cpp
  LINK
    yafcore-shared
    mpeg-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data ################################

install(
  FILES
    inputDecoderYAF.h
    inputDecoderXPlayer.h
    yafOutputStream.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/util/yaf/yafxplayer
)
